-- [C6MartPeriodico].[GESTIONE_C6_S_Generator] 4, 14, 'T' PPVV
-- [C6MartPeriodico].[GESTIONE_C6_S_Generator] 4, 6, 'T' Direct Advisory
-- [C6MartPeriodico].[GESTIONE_C6_S_Generator] 1, 5, 'T' Diagnosi
-- [C6MartPeriodico].[GESTIONE_C6_S_Generator] 4, 13, 'T' (monitoraggio,private,trim)
-- [C6MartPeriodico].[GESTIONE_C6_S_Generator] 4, 12, 'T' (monitoraggio,old/affluent,trim)
CREATE    procedure [C6MartPeriodico].[GESTIONE_C6_S_Generator]
@idReport as int,
@idModello as int,
@periodicita as varchar(1) = 'T'
AS
BEGIN
	SET NOCOUNT ON;
if (@idModello=12)
begin
select * from C6MartPeriodico.generator_monitoraggio  order BY ordineCapitolo,ordineParagrafo,ordineSezione
end
if (@idModello=13)
begin
select * from C6MartPeriodico.generator_monitoraggio_private 
--where codicesezione not in ('S181','S185')
order BY ordineCapitolo,ordineParagrafo,ordineSezione
end
if (@idModello=5)
begin
select * from C6MartPeriodico.generator_diagnosi  order BY ordineCapitolo,ordineParagrafo,ordineSezione
end
if (@idModello=6)
begin
select * from C6MartPeriodico.generator_direct  order BY ordineCapitolo,ordineParagrafo,ordineSezione
end
if (@idModello=14)
begin
select * from  C6MartPeriodico.generator_PPVV  order BY ordineCapitolo,ordineParagrafo,ordineSezione
end
END